# Uses of Interface
org.apache.cxf.service.factory.FactoryBeanListener

Packages that use FactoryBeanListener
Package
Description
org.apache.cxf.service.factory

- ## Uses of FactoryBeanListener in org.apache.cxf.service.factory

  Classes in org.apache.cxf.service.factory that implement FactoryBeanListener
  Modifier and Type
  Class
  Description
  `class`
  `AnnotationsFactoryBeanListener`
  `class`
  `OldLoggingFactoryBeanListener`
  Methods in org.apache.cxf.service.factory that return types with arguments of type FactoryBeanListener
  Modifier and Type
  Method
  Description
  `List<FactoryBeanListener>`
  FactoryBeanListenerManager.`getListeners()`
  Methods in org.apache.cxf.service.factory with parameters of type FactoryBeanListener
  Modifier and Type
  Method
  Description
  `void`
  FactoryBeanListenerManager.`addListener(FactoryBeanListener l)`
  `void`
  FactoryBeanListenerManager.`removeListener(FactoryBeanListener l)`